> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Delete a workflow definition DELETE https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/workflow_definitions/{workflow_definition_id} Deletes a workflow definition by ID. Only org or space admins can delete workflow definitions. Reference: https://contentful.com/developers/docs/references/content-management-api/workflow-definitions/delete-a-workflow-definition ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string - `workflow_definition_id` (string, required) — ID of the workflow definition in form of a string ## Response ### 204 No Content - Request successful, no content returned ## Examples **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) SDK currently doesn't implement this endpoint. ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) await client.workflowDefinition.delete({ spaceId: "", environmentId: "", workflowDefinitionId: '', version: 1, }); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```